Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events
Class ContextDataElementImpl

    java.lang.Object
      |
      +--org.eclipse.hyades.logging.events.ContextDataElementImpl

All Implemented Interfaces:
  java.lang.Cloneable, IContextDataElement, java.io.Serializable

public class ContextDataElementImpl
extends java.lang.Object
implements IContextDataElement, java.io.Serializable, java.lang.Cloneable

Taken from "Canonical Situation Data Format: The Common Base Event V1.0.1 ACAB.BO0301.0.1" The ContextDataElement type defines the context(s) that this event references. This complex type holds data that is used to assist with problem diagnostics by correlating messages or events generated during execution of a unit of work.

Author:
  rduggan To change this generated comment edit the template variable "typecomment": Window>Preferences>Java>Templates. To enable and disable the creation of type comments go to Window>Preferences>Java>Code Generation.
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `contextId` Fields.
`protected java.lang.String` | `contextValue`
`protected java.lang.String` | `name`
`protected java.lang.String` | `type`

Constructor Summary
`protected` | `ContextDataElementImpl()` Constructor for ContextDataElementImpl.

Method Summary
`java.lang.Object` | `clone()` return a cloned (copy by value) object.
`boolean` | `equals(java.lang.Object obj)` Determines is two different objects are equal.
`java.lang.String` | `getContextId()` Returns the contextId.
`java.lang.String` | `getContextValue()` Returns the contextValue.
`java.lang.String` | `getName()` Returns the name.
`java.lang.String` | `getType()` Returns the type.
`void` | `init()` Resets the object's properties to their initial (e.g.
`void` | `setContextId(java.lang.String contextId)` Sets the contextId.
`void` | `setContextValue(java.lang.String contextValue)` Sets the contextValue.
`void` | `setName(java.lang.String name)` Sets the name.
`void` | `setType(java.lang.String type)` Sets the type.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### contextId

    protected java.lang.String contextId

  Fields.

### type

    protected java.lang.String type

### name

    protected java.lang.String name

### contextValue

    protected java.lang.String contextValue

Constructor Detail

### ContextDataElementImpl

    protected ContextDataElementImpl()

  Constructor for ContextDataElementImpl.

Method Detail

### getContextId

    public java.lang.String getContextId()

  Description copied from interface: `IContextDataElement`
  Returns the contextId. This property is the reference to the element that contains the context. This is not required if contextValue specifies a value

  Specified by:
    `getContextId` in interface `IContextDataElement`
  Returns:
    String
  See Also:
    `IContextDataElement.getContextId()`

### getContextValue

    public java.lang.String getContextValue()

  Description copied from interface: `IContextDataElement`
  Returns the contextValue. The value of the context with respect to the implementation of the context. This is not required if contextId specifies a value.

  Specified by:
    `getContextValue` in interface `IContextDataElement`
  Returns:
    String
  See Also:
    `IContextDataElement.getContextValue()`

### getName

    public java.lang.String getName()

  Description copied from interface: `IContextDataElement`
  Returns the name. Name of the application that created this context data element. This is a REQUIRED property.

  Specified by:
    `getName` in interface `IContextDataElement`
  Returns:
    String
  See Also:
    `IContextDataElement.getName()`

### getType

    public java.lang.String getType()

  Description copied from interface: `IContextDataElement`
  Returns the type. The data type of the contextValue property. This is a REQUIRED property.

  Specified by:
    `getType` in interface `IContextDataElement`
  Returns:
    String
  See Also:
    `IContextDataElement.getType()`

### setContextId

    public void setContextId(java.lang.String contextId)

  Description copied from interface: `IContextDataElement`
  Sets the contextId. This property is the reference to the element that contains the context. This is not required if contextValue specifies a value

  Specified by:
    `setContextId` in interface `IContextDataElement`
  Parameters:
    `contextId` - The contextId to set
  See Also:
    `IContextDataElement.setContextId(String)`

### setContextValue

    public void setContextValue(java.lang.String contextValue)

  Description copied from interface: `IContextDataElement`
  Sets the contextValue. The value of the context with respect to the implementation of the context. This is not required if contextId specifies a value.

  Specified by:
    `setContextValue` in interface `IContextDataElement`
  Parameters:
    `contextValue` - The contextValue to set
  See Also:
    `IContextDataElement.setContextValue(String)`

### setName

    public void setName(java.lang.String name)

  Description copied from interface: `IContextDataElement`
  Sets the name. Name of the application that created this context data element. This is a REQUIRED property.

  Specified by:
    `setName` in interface `IContextDataElement`
  Parameters:
    `name` - The name to set
  See Also:
    `IContextDataElement.setName(String)`

### setType

    public void setType(java.lang.String type)

  Description copied from interface: `IContextDataElement`
  Sets the type. The data type of the contextValue property. This is a REQUIRED property.

  Specified by:
    `setType` in interface `IContextDataElement`
  Parameters:
    `type` - The type to set
  See Also:
    `IContextDataElement.setType(String)`

### equals

    public boolean equals(java.lang.Object obj)

  Determines is two different objects are equal.

  Overrides:
    `equals` in class `java.lang.Object`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  return a cloned (copy by value) object. This is a deep copy version, in which all the objects within this object will be copied by value.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    Object
    `java.lang.CloneNotSupportedException`

### init

    public void init()

  Resets the object's properties to their initial (e.g. null) state.

  Specified by:
    `init` in interface `IContextDataElement`
  Since:
    1.0.1
  See Also:
    `IContextDataElement.init()`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD